## swap-cwm 1.2.1

=== grammar/Makefile ===
#  Build stuff up from the CFG

SWAP=..
P=python
C=$(SWAP)/cwm.py
CG=PYTHONPATH=$(SWAP) python predictiveParser.py


.SUFFIXES: .rdf .n3

all : n3-checked.txt n3-report.html n3.rdf \
		n3rdf-report.html \
		n3rules-report.html \
		n3ql-report.html
	echo all done


#  N3 Full:

.n3.rdf:
	python $(SWAP)/cwm.py --n3 $< --rdf  > $@

n3-yacc.c : n3-selectors.n3-yacc.y
	yacc -o $@ n3-selectors.n3-yacc.y

n3-selectors.n3-yacc.y : n3-selectors.n3

n3-checked.txt: n3-selectors.n3
	$(CG) --grammar=n3-selectors.n3 \
		--as=http://www.w3.org/2000/10/swap/grammar/n3#document \
		--parse=n3.n3 && touch $@

n3-selectors.n3 : n3.n3 bnf-rules.n3
	time $P $C n3.n3 bnf-rules.n3 --think --purge --data --quiet > $@

n3-i18n-selectors.n3 : n3-re.n3 bnf-rules.n3
	time $P $C n3-re.n3 bnf-rules.n3 --think --purge --data --quiet > $@

n3-report.big:  n3.n3 bnf2html.n3
	time $P $C n3.n3 bnf2html.n3 --chatty=21 --think --data --quiet > $@

n3-report.html : n3-report.big
	time $P $C  n3-report.big --strings > $@

n3.rdf : n3.n3 
	$C --n3 n3.n3  --rdf > $@

# N3-RDF

n3rdf-checked.txt: n3rdf-selectors.n3
	$(CG) n3rdf-selectors.n3 \
		http://www.w3.org/2000/10/swap/grammar/n3rdf#document > $@

n3rdf-selectors.n3 : n3-rdf.n3 bnf-rules.n3
	time $P $C n3-rdf.n3 bnf-rules.n3 --think --purge --data > $@

n3rdf-report.big:  n3-rdf.n3 bnf2html.n3
	time $P $C n3-rdf.n3 bnf2html.n3 --chatty=21 --think --data > $@


n3rdf-report.html : n3rdf-report.big
	time $P $C  n3rdf-report.big --strings > $@

# N3-Rules

n3rules-selectors.n3 : n3-rules.n3 bnf-rules.n3
	time $P $C n3-rules.n3 bnf-rules.n3 --think --purge --data > $@

n3rules-report.big:  n3-rules.n3 bnf2html.n3
	time $P $C n3-rules.n3 bnf2html.n3 --chatty=21 --think --data > $@


n3rules-report.html : n3rules-report.big
	time $P $C  n3rules-report.big --strings > $@

# N3-QL

n3ql-checked.txt: n3ql-selectors.n3
	$(CG) n3ql-selectors.n3 \
		http://www.w3.org/2000/10/swap/grammar/n3ql#document > $@

n3ql-selectors.n3 : n3-ql.n3 bnf-rules.n3
	time $P $C n3-ql.n3 bnf-rules.n3 --think --purge --data > $@

n3ql-report.big:  n3-ql.n3 bnf2html.n3
	time $P $C n3-ql.n3 bnf2html.n3 --chatty=21 --think --data > $@


n3ql-report.html : n3ql-report.big
	time $P $C  n3ql-report.big --strings > $@

#___________________________________

Q=../../../../2001/sw/DataAccess/rq23
sparql.n3 : $Q/grammar.yy
	sed -f yy2n3.sed < $Q/grammar.yy > sparql.n3

sparql-utf16.n3 : sparql.n3 to-utf18.sed
	sed -f to-utf16.sed < sparql.n3 > sparql-utf16.n3

sparql-checked.txt: sparql-selectors.n3
	$(CG) --grammar=sparql-selectors.n3 \
		--as=http://www.w3.org/2000/10/swap/grammar/sparql#Query > $@

sparql-selectors.n3 : sparql.n3 bnf-rules.n3 shorthand-rules.n3
	time $P $C sparql.n3 shorthand-rules.n3 bnf-rules.n3 --think --purge --data > $@

sparql-report.big:  sparql.n3 bnf2html.n3
	time $P $C sparql.n3 bnf2html.n3 --chatty=21 --think --data > $@


sparql-report.html : sparql-report.big
	time $P $C  sparql-report.big --strings > $@


ebnf: notation3.rdf ebnf.rdf notation3.json turtle_syntax

turtle_syntax: turtle.json turtle-bnf.n3 turtle.n3 turtle.bnf

CHATTY=0

.SUFFIXES: .json .n3 .bnf


LYNX=elinks
turtle.bnf: turtle.html
	$(LYNX) -no-references -no-numbering -dump turtle.html >$@

turtle.json: turtle-bnf.n3 gramLL1.py
	PYTHONPATH=$(HOME)/lib/python:../.. $P gramLL1.py turtle-bnf.n3 'http://www.w3.org/2000/10/swap/grammar/turtle#language' >$@

turtle-bnf.n3: turtle.n3 ebnf2bnf.n3
	$P $C turtle.n3 ebnf2bnf.n3  --chatty=$(CHATTY) \
		--think --data >$@

turtle.n3: turtle.bnf ebnf2turtle.py
	$P ebnf2turtle.py $< ttl language 'http://www.w3.org/2000/10/swap/grammar/turtle#' >$@

notation3.json: notation3-bnf.n3 gramLL1.py
	PYTHONPATH=$(HOME)/lib/python:../.. $P gramLL1.py notation3-bnf.n3 'http://www.w3.org/2000/10/swap/grammar/notation3#language' >$@

notation3-ll1.n3: notation3.n3 ebnf2bnf.n3 first_follow.n3
	$P $C notation3.n3 ebnf2bnf.n3 first_follow.n3 --chatty=$(CHATTY) \
		--think --data >$@

notation3-bnf.n3: notation3.n3 ebnf2bnf.n3 first_follow.n3
	$P $C notation3.n3 ebnf2bnf.n3  --chatty=$(CHATTY) \
		--think --data >$@

notation3.n3: notation3.bnf ebnf2turtle.py
	$P ebnf2turtle.py $< n3 language 'http://www.w3.org/2000/10/swap/grammar/notation3#' >$@

ebnf.rdf: ebnf.n3
notation3.rdf: notation3.n3


#ends

=== test/Makefile ===
#    Makefile
#
P=python2.4
W=../../../..
C=../cwm.py
RC=../../rdf-tests/rdfcore

CODE=retest.py #../cwm.py  ../notation3.py ../query.py ../llyn.py
# etc ...

OFFLINETESTS=regression.n3 list/detailed.tests \
	sparql/detailed.tests \
	reason/detailed.tests \
	sets/detailed.tests \
	ql/detailed.tests \
	math/detailed.tests \
	norm/detailed.tests \
	cwm/detailed.tests \
	ntriples/detailed.tests \
	string/detailed.tests \
	syntax/detailed.tests \
	includes/detailed.tests
#	reify/detailed.tests \
# 	i18n/detailed.tests \

TESTS=online.tests  rdfcore-tests.n3 delta/detailed.tests paw/detailed.tests testmeta.n3 \
	$(OFFLINETESTS) #n3parser.tests

quick : pyc-check $(CODE) $(OFFLINETESTS)
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py $(OFFLINETESTS)

pre-release : pyc-check $(CODE) $(TESTS) rdflib
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py -c $(TESTS)

post-install : pyc-check $(CODE) $(OFFLINETESTS)
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py --cwm=../cwm $(OFFLINETESTS)

filelist : pyc-check $(CODE) $(OFFLINETESTS)
	export CWM_LIST_FILES=1; PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py --cwm=./file_list.py  $(OFFLINETESTS)
	sort testfilelist > testfilelist3
	uniq testfilelist3 > testfilelist
	rm testfilelist3

rdflib: rdfcore-tests.n3
	CWM_RDF_PARSER="rdflib" PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py -c rdfcore-tests.n3


mellow : pyc-check $(CODE) $(TESTS) 
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py --ignoreErrors $(TESTS)

just_work : pyc-check $(CODE) $(TESTS) 
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py --overwrite -c $(TESTS)

fast : $(CODE) regression.n3
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py -n -f regression.n3


pyc-check : $(CODE)
	rm -f ../*.pyc
	touch pyc-check

loopback :
	./n3-xml-test.sh `cat tests-work.txt`

rules12.rdf : rules12.n3
	cwm rules12.n3 -rdf > rules12.rdf

rdfcore-tests.n3: ../../rdf-tests/rdfcore/Manifest.rdf
	$P $C --rdf ../../rdf-tests/rdfcore/Manifest.rdf --n3 > $@

testmeta.n3 : rdfcore-tests.n3 triage.n3
	$P $C rdfcore-tests.n3 --filter=triage.n3 > $@

rdfcore-tests.sh: rdfcore-tests.n3 gentest.n3
	$P $C rdfcore-tests.n3 gentest.n3 -think --strings | sed -e 's?http://www.w3.org?/devel/WWW?g' > $@

annotation.n3 :
	find $(RC) -name "*.nt" -exec grep -l "22-rdf-syntax-ns#predicate" {} \; | \
		sed -e 's/^/</' -e 's/.nt/.nt> a <#ReificationFile>./' > $@

flatten::
	PYTHONPATH=`/bin/pwd`/..:`/bin/pwd`/../.. $P retest.py -n -c -f flatten-tests.n3

=== swap/sparql/Makefile ===
# $Id  $

PYTHON:=python
CWM:=../cwm.py

DELITSUB = 'data:text/rdf+n3;charset=utf-8,%40prefix%20log%3A%20%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F10%2Fswap%2Flog%23%3E%20.%0D%0A%7B%20%3Fs%20%3Fp%20%3Fo%3B%20log%3ArawType%20%5B%20log%3AnotEqualTo%20log%3ALiteral%20%5D%20%7D%20%0D%0A%20%20%20%3D%3E%20%7B%20%3Fs%20%3Fp%20%3Fo%20%7D%20.'

sparql_table.py: table_generator.py sparql-selectors.rdf
	$(PYTHON) table_generator.py --grammar=sparql-selectors.rdf sparql_table.py
sparql-selectors.rdf: %.rdf: %.n3 
	$(PYTHON) $(CWM) --n3 $< --filter=$(DELITSUB) --rdf > $@

sparql-selectors.n3: bnf-token-rules.n3
	$(PYTHON) $(CWM) http://www.w3.org/2000/10/swap/grammar/sparql bnf-token-rules.n3 --think --purge --data > $@

.PHONY : clean

clean:
	rm *.rdf sparql-selectors.n3 sparql_table.py

=== debian/changelog ===
swap-cwm (1.2.1-7) unstable; urgency=medium

  * Reorder patches to match patch names.
  * Add patch 1003 to avoid double import of uripath.
    Closes: bug#787477. Thanks to Martin Martinez Rivera.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2015 11:39:45 +0200

swap-cwm (1.2.1-6) unstable; urgency=low

  * Fix set packaging section for swap-cwm to web (not python).
  * Add/adjust DEP-3 patch headers.
  * Fix add package suggestions.
  * Update Vcs-* fields.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info: Extend coverage for myself.
  * Fix apply hash-bang (avoid assumptions on install path).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 13:19:43 +0200

swap-cwm (1.2.1-5) unstable; urgency=low

  * Reintroduce to Debian: Still relevant after all - only semantic
    reasoner currently packaged for Debian directly handling RDF.
  * Modernize CDBS usage:
    + Drop locally shipped snippets (all included in cdbs package now).
    + Declare package relations recursively expanded (using = not := ).
  * Switch packaging to Switch to 3.0 (quilt) format.
    + Stop including CDBS snippet patchsys-quilt.
    + Stop build-depending on quilt or patchutils.
  * Refresh patch 1001 with compacting quilt options.
  * Switch to default Python install helper (not python-support).
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update copyright/licensing info:
    + Bump file format to 1.0.
    + Drop obsolete/bogus packaging-related Files sections.
    + Trim copyright paragraphs, whitespace, License short-names and GPL
      comment.
    + Fix use license and comment pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + Refer to FSF web address (not postal address) in rules file, and
      include that reference in copyright file license comment.
    + Add dummy License section for license only optionally needed.
    + Bump packaging license to GPL-3+, and extend/TRIM copyrigt
      coverage for myself to include (only) recent years.
    + Update to use Upstream-Contact (not Upstream-Maintainer).
  * Bump debhelper compatibility to 8.
  * Use canonical hostname (anonscm.debian.org) in Vcs-* URIs.
  * Relax build-dependencies.
  * Add patch 1002 to adjust rounding in math test.
    Closes: bug#646661. Thanks to Mònica Ramírez Arceda.
  * Bump standards-version to 3.9.4.
  * Add lintian override for (not really) missing package dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jul 2013 01:28:16 +0200

swap-cwm (1.2.1-4) unstable; urgency=low

  * Have both python-swap and swap-cwm suggest python-crypto and
    python-rdflib.
  * Have swap-cwm suggest otter.
  * Maintain all package dependencies in debian/rules, with comments.
  * Install Cwm binary as cwm (not swap-cwm).
  * Fix spelling (just small typos) in --help output of cwm script.
  * Fix typo in README.source: new new.
  * Extend package-relation cleanup to include debhelper 6 and 7.0.1.
  * Drop TopGit noise from cdbs-skel.
  * Fix description in copyright header of debian/rules.
  * Use variables libpkg and pkg in debian/rules.
  * Generate manpages using help2man.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2009 00:59:23 +0200

swap-cwm (1.2.1-3) unstable; urgency=low

  * Fix have swap-cwm depend on python-swap.
  * Install documentation only on python-swap.
  * Use $(MAKE) when invoking tests (hopefully fixes invoking twice).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 04:43:53 +0100

swap-cwm (1.2.1-2) unstable; urgency=low

  * Fix debian/copyright to include all licenses and owners.
  * Install upstream changelog and documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 03:51:04 +0100

swap-cwm (1.2.1-1) unstable; urgency=low

  * Initial release. Closes: bug#519205.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 00:33:58 +0100

=== debian/control ===
Source: swap-cwm
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.90~),
 devscripts,
 debhelper,
 dh-buildinfo,
 python,
 python-dev (>= 2.3.5-7),
 help2man
Standards-Version: 3.9.6
Homepage: http://www.w3.org/2000/10/swap/
Vcs-Git: git://anonscm.debian.org/collab-maint/swap-cwm
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swap-cwm.git

Package: python-swap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${cdbs:Depends}
Provides: ${python:Provides}
Suggests: ${cdbs:Suggests}
Description: Semantic Web Area for Play
 SWAP is a Python library of RDF/XML and RDF/N3 semantic web routines,
 primarily used by Cwm.
 .
 SWAP is an acronym for both "Semantic Web Area for Play" and "Semantic
 Web Application Platform".

Package: swap-cwm
Section: web
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${cdbs:Depends}
Suggests: ${cdbs:Suggests}
Description: RDF/XML and RDF/N3 semantic web data processor
 Cwm (pronounced coom) is a general-purpose data processor for the
 semantic web, somewhat like sed, awk, etc. for text files or XSLT for
 XML. It is a forward chaining reasoner which can be used for querying,
 checking, transforming and filtering information. Its core language is
 RDF, extended to include rules, and it uses RDF/XML or RDF/N3
 (Notation3) serializations as required.
 .
 Also included is the RDF tools cant and delta.

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
# Below works only for --report - for actual download use the following:
#   debian/rules get-orig-source
http://dev.w3.org/cvsweb/2000/10/swap/ cwm-([\d+\.]+)\.tar\.gz
